/* eslint-disable react/prop-types */
import cx from 'classnames';
import PropTypes from 'prop-types';
import Bell from '@s-ui/react-icons/lib/Bell';
import Check from '@s-ui/react-icons/lib/Check';
import Info from '@s-ui/react-icons/lib/Info';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var icons = {
  info: Info,
  error: Bell,
  success: Check
};
function _renderAction(_ref) {
  var _cx;
  var handle = _ref.handle,
    text = _ref.text,
    className = _ref.className;
  var actionClassName = cx("sui-AlertBasic-button", (_cx = {}, _cx[className] = !!className, _cx));
  return /*#__PURE__*/_jsx("button", {
    className: actionClassName,
    onClick: handle,
    children: text
  });
}
function _renderActions(actions) {
  return /*#__PURE__*/_jsx("div", {
    className: "sui-AlertBasic-actions",
    children: actions.map(function (action, index) {
      return _renderAction(action);
    })
  });
}
export default function AlertBasic(_ref2) {
  var type = _ref2.type,
    children = _ref2.children,
    icon = _ref2.icon,
    actions = _ref2.actions,
    IconClose = _ref2.iconClose,
    handleClose = _ref2.handleClose;
  var AlertIcon = icon || icons[type];
  return /*#__PURE__*/_jsx("div", {
    children: /*#__PURE__*/_jsxs("div", {
      className: "sui-AlertBasic sui-AlertBasic--" + type,
      children: [IconClose && /*#__PURE__*/_jsx("button", {
        className: "sui-AlertBasic-buttonClose",
        onClick: handleClose,
        children: /*#__PURE__*/_jsx(IconClose, {
          svgClass: "sui-AlertBasic-buttonCloseIcon"
        })
      }), /*#__PURE__*/_jsxs("div", {
        className: "sui-AlertBasic-message",
        children: [/*#__PURE__*/_jsx("div", {
          children: /*#__PURE__*/_jsx(AlertIcon, {
            svgClass: "sui-AlertBasic-icon"
          })
        }), /*#__PURE__*/_jsx("div", {
          children: children
        })]
      }), actions && !!actions.length && _renderActions(actions)]
    })
  });
}
AlertBasic.displayName = 'AlertBasic';